@import "@styles/base/colors";
@import "@styles/base/typography.scss";

.container {
    display: flex;
    width: 100%;
    height: 80vh;
  
    & .createContainer {
      display: flex;
      justify-content: space-between;
      flex-direction: column;
      width: 24%;
      height: 100%;
      min-width: 350px;
      padding: 30px 25px 35px 25px;
      margin-right: 3%;
      background: $background;
      border: 1px solid $lightBlueColor;
      box-shadow: 0px 0px 25px rgba(32, 84, 215, 0.1);
      border-radius: 20px;
  
      & .title {
        padding-left: 10px;
        padding-bottom: 25px;
        margin-bottom: 15px;
        @include font($fontGotham, 20px, 24px);
        color: $blackColor;
        border-bottom: 1px solid $lightBlueColor;
      }
  
      & .label {
          font-size: 16px;
      }
  
      & .daysContainer {
          width: 100%;
          display: flex;
          align-items: center;
          margin-bottom: 50px;
  
          & .selectInput {
              margin-left: 17%;
              flex: 1;
          }
  
          & .input {
              background: transparent;
          }
      }
  
      & .textArea {
          background: transparent;
          & div:first-child {
              background-color: transparent;
          }
      }
  
      & .daysTitle {
        @include font($fontGotham, 20px, 24px);
        color: $blackColor;
      }
  
      & .chooseDates {
        display: flex;
        justify-content: space-between;
        margin-top: 25px;
        margin-bottom: 50px;
        color: $greyText;
        font-size: 16px;
        & > div {
            flex-grow: 1;
        }
        & .from {
            margin-right: 10px;
        }
      }

      & .requestButtons {
        display: flex;
        justify-content: space-between;

        & .delete {
            margin-right: 10px;
            background: transparent !important;
            border: 2px solid $greyColor !important;
            color: $greyColor;
            @include font($fontGotham, 14px, 16.8px);
        }

        & .add {
            background: $greyColor !important;
            border: none !important;
            color: $whiteColor;
            @include font($fontGotham, 14px, 16.8px);
        }
      }
    }
  
    & .requestsContainer {
        width: 76%;

        & .requestsHeader {
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-bottom: 15px;

            h4 {
                @include font($fontGotham, 24px, 28.8px);
                color: $blackColor; 
            }

            & .filterButton {
                border: 1px solid $greyColor;
                box-sizing: border-box;
                border-radius: 10px;
                padding: 13px;
                cursor: pointer;
                &:hover {
                    border: 1px solid $primaryColor;
                }
            }
        }

        & .requestBody {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(100px, 366px));
            grid-template-rows: repeat(auto-fit, minmax(130px, 140px));
            gap: 25px;
            min-height: 0;  /* NEW */
            min-width: 0;
            @include font($fontGotham, 14px, 16.8px);

            & .card {
              border: 1px solid $greyColor;
              border-radius: 10px;
              padding: 10px 10px 15px 25px;

              &.activeCard {
                border: 1px solid $primaryColor;
                box-shadow: 0px 0px 25px rgba(32, 84, 215, 0.1);
              }

              &.inactiveCard {
                filter: blur(3px);
              }

              & .approve, & .reject, & .pending {
                width: 100px;
                padding: 7px 15px;
                border-radius: 20px;
              }

              & .approve {
                color: $greenColor;
                border: 1.5px solid $greenColor;
              }

              & .reject {
                color: $redText;
                border: 1.5px solid $redText;
              }

              & .pending {
                width: 50%;
                color: $greyColor;
                border: 1.5px solid $greyColor;
              }

              & .pencil, & .delete {
                border: 1px solid $lightBlueColor;
                background: $background;
                padding: 7px 9px;
                cursor: pointer;

                &:hover {
                  opacity: 0.6;
                }
              }

              & .pencil {
                border-top-left-radius: 5px;
                border-bottom-left-radius: 5px;
              }

              & .delete {
                border-top-right-radius: 5px;
                border-bottom-right-radius: 5px;
              }

              & .requestName {
                margin-top: 10px;
                margin-bottom: 14px;
                color: $blackColor;
                @include font($fontGotham, 18px, 21.6px);
              }

              & .durationInfo {
                  color: $greyText;
                  @include font($fontGotham, 14px, 16.8px);
                  
                  & div {
                    flex-basis: 0;
                    flex-grow: 1;
                  }

                  & .duration {
                      padding-left: 25px;
                      border-left: 1px solid $lightBlueColor;
                  }
              }

              & .lightText {
                color: $greyColor;
                @include font($fontGothamLight, 12px, 14.4px);
                margin-bottom: 2px;
              }
            }
        }
    }
  }

  .modalFilters {
    margin-right: 0;
    animation: modalFade 0.4s;
    box-shadow: -5px -5px 18px rgba(32, 84, 215, 0.05);

    & .modalHeader {
        padding: 50px;
        text-align: center;
        @include font($fontGotham, 24px, 28.8px);
        color: $blackColor; 
    }

    & .card {
      padding: 0 50px;
    }

    & .toggleButton {
      width: 100%;
      display: flex;
      justify-content: space-between;
      align-items: center;
      cursor: pointer;
    }

    & .filterHeading {
      padding: 25px 0;
      border-top: 1px solid $lightBlueColor;
      color: $primaryColor;
      @include font($fontGotham, 20px, 24px);
    }

    & .filterBody {
      padding-bottom: 25px;
      padding-left: 20px;
    }

    & .arrow {
      transform: rotate(-270deg);
    }

    & .flipArrow {
      transform: rotate(-90deg);
    }
    
    & .closed {
      color: $blackColor
    }

    & .filterButtons {
      padding: 25px 50px 50px 50px;
      border-top: 1px solid $lightBlueColor;
      text-align: center;
    }

    & .cancelButton {
      cursor: pointer;
      padding-top: 15px;
      color: $primaryColor;
      @include font($fontGotham, 14px, 16.8px);

      &:hover {
        opacity: 0.7;
      }
    }
  }


  .searchInput {
    height: 50px !important;

    & .input {
      padding: 15px 0 10px !important;
    }
  }

  .inputWrapper {
    display: flex;
    align-items: center;
    justify-content: space-around;
    & svg {
      margin-right: 10px;
    }
  }